/*
 * Created on May 11, 2004
 *
 */
package example.ve.swing;

import javax.swing.JFrame;

/**
 * @author carlos
 *
 */
public class HelloSwing extends JFrame {
	private javax.swing.JPanel jContentPane = null;

	private javax.swing.JLabel jLabel = null;
	/**
	 * This is the default constructor
	 */
	public HelloSwing() {
		super();
		initialize();
	}
	/**
	 * This method initializes this
	 * 
	 * @return void
	 */
	private void initialize() {
		this.setSize(300,200);
		this.setContentPane(getJContentPane());
		this.setTitle("Hello, Swing");
		this.setDefaultCloseOperation(javax.swing.JFrame.EXIT_ON_CLOSE);
	}
	/**
	 * This method initializes jContentPane
	 * 
	 * @return javax.swing.JPanel
	 */
	private javax.swing.JPanel getJContentPane() {
		if(jContentPane == null) {
			jContentPane = new javax.swing.JPanel();
			jContentPane.setLayout(new java.awt.BorderLayout());
			jContentPane.add(getJLabel(), java.awt.BorderLayout.NORTH);
		}
		return jContentPane;
	}
	/**

	 * This method initializes jLabel	

	 * 	

	 * @return javax.swing.JLabel	

	 */    
	private javax.swing.JLabel getJLabel() {
		if (jLabel == null) {
			jLabel = new javax.swing.JLabel();
			jLabel.setText("Hello, Swing!");
		}
		return jLabel;
	}

	public static void main(String[] args) {
		HelloSwing gui = new HelloSwing();
		
		gui.pack();
		gui.setVisible(true);
	}
 }
