package com.eintech.helloworld.view.infopop;

import org.eclipse.swt.SWT;
import org.eclipse.swt.events.HelpEvent;
import org.eclipse.swt.events.HelpListener;
import org.eclipse.swt.layout.RowLayout;
import org.eclipse.swt.widgets.Button;
import org.eclipse.swt.widgets.Composite;
import org.eclipse.swt.widgets.Label;
import org.eclipse.swt.widgets.Text;
import org.eclipse.ui.help.WorkbenchHelp;
import org.eclipse.ui.part.ViewPart;

public class HelloWorldView extends ViewPart {
	private Text _field;

    private class HWHelpHandler implements HelpListener {
        public void helpRequested(HelpEvent e) {
            WorkbenchHelp.displayHelp("com.eintech.helloworld.view.infopop.infopops");
        }
    }

    public HelloWorldView() {
	}

	public void createPartControl(Composite parent) {
		parent.setLayout(new RowLayout());
		Label label = new Label(parent, SWT.LEFT);
		label.setText("Answer");
		_field = new Text(parent, SWT.BORDER | SWT.SINGLE);

        Button button = new Button(parent, SWT.LEFT);
        button.setText("Submit");
        button.addHelpListener(new HWHelpHandler());
	}

	public void setFocus() {
		_field.setFocus();
	}
}