/*
 * Created on May 20, 2004
 * 
 */

package calculator;

import junit.framework.TestCase;

/**
 * @author carlos
 * 
 */
public class SimpleCalculatorTest extends TestCase {

    private Calculator _calculator;

    public void testAdd() {
        int expected = 0;
        int actual = _calculator.add(0, 0);
        assertEquals(expected, actual);

        expected = 1;
        actual = _calculator.add(0, 1);
        assertEquals(expected, actual);
        
        try {
			_calculator.add(Integer.MAX_VALUE, 1);
			fail("add() did not properly handle an overflow.");
		} catch (RuntimeException e) {
			// The call failed. The test passed.
		}
    }

    /*
     * @see TestCase#setUp()
     */
    protected void setUp() throws Exception {
        _calculator = new SimpleCalculator();
    }

    /*
     * @see TestCase#tearDown()
     */
    protected void tearDown() throws Exception {
        _calculator = null;
    }
}